# Class FixedPrecisionApfloatField

java.lang.Object
java.lang.Number
org.jscience.mathematics.number.Number<FixedPrecisionApfloatField>
org.apfloat.jscience.AbstractField<FixedPrecisionApfloatField, Apfloat>
org.apfloat.jscience.FixedPrecisionApfloatField

All Implemented Interfaces:
  `Serializable, Comparable<FixedPrecisionApfloatField>, Immutable, Realtime, ValueType, XMLSerializable, Field<FixedPrecisionApfloatField>, GroupAdditive<FixedPrecisionApfloatField>, GroupMultiplicative<FixedPrecisionApfloatField>, Ring<FixedPrecisionApfloatField>, Structure<FixedPrecisionApfloatField>`

public class FixedPrecisionApfloatField extends AbstractField<FixedPrecisionApfloatField, Apfloat>
This class represents a fixed-precision floating-point number. The precision is reset after each computation using the provided `FixedPrecisionApfloatHelper`. This can help avoid accumulating round-off errors and loss of precision in complicated computations such as matrix inversion.

Since:
  1.8.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedPrecisionApfloatField(Apfloat value, FixedPrecisionApfloatHelper helper)`
  Constructs a new floating-point field object with the specified value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FixedPrecisionApfloatField`
  `copy()`
  Returns a copy of this object.
  `FixedPrecisionApfloatHelper`
  `helper()`
  Return the precision helper.
  `FixedPrecisionApfloatField`
  `inverse()`
  Returns the multiplicative inverse of this object.
  `FixedPrecisionApfloatField`
  `opposite()`
  Returns the additive inverse of this object.
  `FixedPrecisionApfloatField`
  `plus(FixedPrecisionApfloatField that)`
  Returns the sum of this object with the one specified.
  `FixedPrecisionApfloatField`
  `times(FixedPrecisionApfloatField that)`
  Returns the product of this object with the one specified.

  ### Methods inherited from class AbstractField

  `compareTo, doubleValue, equals, hashCode, isLargerThan, longValue, toText, value`

  ### Methods inherited from class Number

  `byteValue, floatValue, intValue, isGreaterThan, isLessThan, minus, pow, shortValue, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixedPrecisionApfloatField

    public FixedPrecisionApfloatField(Apfloat value, FixedPrecisionApfloatHelper helper)
    Constructs a new floating-point field object with the specified value.
    Parameters:
      `value` - The value.
      `helper` - The precision helper.

- ## Method Details

  - ### plus

    public FixedPrecisionApfloatField plus(FixedPrecisionApfloatField that)
    Description copied from class: `AbstractField`
    Returns the sum of this object with the one specified.
    Specified by:
      `plus` in interface `GroupAdditive<FixedPrecisionApfloatField>`
    Specified by:
      `plus` in class `AbstractField<FixedPrecisionApfloatField, Apfloat>`
    Parameters:
      `that` - The addend.
    Returns:
      `this + that`

  - ### opposite

    public FixedPrecisionApfloatField opposite()
    Description copied from class: `AbstractField`
    Returns the additive inverse of this object.
    Specified by:
      `opposite` in interface `GroupAdditive<FixedPrecisionApfloatField>`
    Specified by:
      `opposite` in class `AbstractField<FixedPrecisionApfloatField, Apfloat>`
    Returns:
      `-this`

  - ### times

    public FixedPrecisionApfloatField times(FixedPrecisionApfloatField that)
    Description copied from class: `AbstractField`
    Returns the product of this object with the one specified.
    Specified by:
      `times` in interface `GroupMultiplicative<FixedPrecisionApfloatField>`
    Specified by:
      `times` in interface `Ring<FixedPrecisionApfloatField>`
    Specified by:
      `times` in class `AbstractField<FixedPrecisionApfloatField, Apfloat>`
    Parameters:
      `that` - The multiplicand.
    Returns:
      `this * that`

  - ### inverse

    public FixedPrecisionApfloatField inverse() throws ArithmeticException
    Description copied from class: `AbstractField`
    Returns the multiplicative inverse of this object.
    Specified by:
      `inverse` in interface `GroupMultiplicative<FixedPrecisionApfloatField>`
    Specified by:
      `inverse` in class `AbstractField<FixedPrecisionApfloatField, Apfloat>`
    Returns:
      `1 / this`
    Throws:
      `ArithmeticException` - If the divisor is zero.

  - ### copy

    public FixedPrecisionApfloatField copy()
    Description copied from class: `AbstractField`
    Returns a copy of this object.
    Specified by:
      `copy` in interface `ValueType`
    Specified by:
      `copy` in class `AbstractField<FixedPrecisionApfloatField, Apfloat>`
    Returns:
      A copy of this object.

  - ### helper

    public FixedPrecisionApfloatHelper helper()
    Return the precision helper.
    Returns:
      The precision helper.